Hidden line hatch

Would it be possible to create a hatchpattern that basicly is just a hidden line feature? I need a pattern that hides lines but plots as nothing, just empties the area. I have used this in some older system I dont know how it was done. This is very useful if someone wants to put a block over lines or can be used under text to clear an area. Very useful feature.This can be achived even in WORD.ThanksPatrik

Comments

  • Basicly this is the same feature as the wipeout, textmask asked for earlier.

  • Since Bricscad doesn't plot "white", you cannot use a hatch pattern/solid fill for this. One possible workaround is to use the imageattach function. Create a white png image of 1x1mm. When inserting, the desired width of the image/whiteout is equal to the x scale, same for heigth.

  • if an entity is on top and you plot it with color 255, it will effectively wipe out what is below it. Color 255 previews as light grey but plots as white. That way it is similar to a wipeout. It's possible to use a solid hatch, polyline with width , or 2d solid. I'd prefer a 2d solid.

  • THANKS ! !This is great. The amount of time saved.Vaernes I think we both learned something here.Patrik

  • Indeed I did, I certainly had no idea 255 would plot white. Should be straightforward to build a lisp for text whiteout based on the (textbox) function.

  • HI Patrik & Vaernes,It'll be great if you can help to write this lisp routine.For an application in GIS, Civil engineering, Land Development, Site plans with contours, .. there is this need to plot clearly the contour height or proposed ground levels text without being cluttered by the contours, pipelines, ....If possible, the lisp routine start by prompting the user to select the rectangle, key in the text value, draws the text within the rectangle box with or without the rectangle box outline on top of the contours, pipelines,...Thank you in advance for your help.

  • Has anyone written a lisp for this yet? If so could you post?Thanks,Mark

  • This function works for mText entities only. The color 255 appears as a light gray. If someone can make it white I would like to know how...(defun c:mtWipe () (setq ent (entget (car (entsel "\nSelect mText entity to toggle background mask:"))))(if (= "MTEXT" (cdr (assoc 0 ent))) (progn(if (= 1 (cdr(assoc 90 ent))) (progn(setq ent (subst (cons 90 0)(cons 90 1) ent))(setq ent (subst (cons 63 255)(assoc 63 ent) ent))(entmod ent)); end progn (progn(setq newent (append ent (list(cons 90 1))))(setq newent (append newent (list(cons 63 255))))(entmod newent) ); end progn); end if)(progn(print " Must Select mText Entity"))); end if(princ)); end function

This discussion has been closed.